/*
 * ssidsniff - a tool for wireless network reconnaissance
 * Copyright (C) 2002-2007 Kostas Evangelinos <kos@bastard.net>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

/*
 * $Id: ouidb.h,v 1.3 2007-06-20 01:47:12 kos Exp $
 *
 */

#ifndef _OUIDB_H
#define _OUIDB_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

typedef struct vendor_maclist_t {
  char *mac_prefix;
  char *vendor;
} vendor_maclist_t;

char *ouidb_get_vendor(char *mac, char *, int);
char *ouidb_date(void);

#endif /* _OUIDB_H */
